Skip to main content
Resource Center/Network Resource/L2 Network Operations
POSTL2 Network OperationsSince 0.6SynchronousAuth Required

AttachL2NetworkToCluster

AttachL2NetworkToCluster

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • l2NetworkUuidStringRequired

    The L2 network UUID.

  • clusterUuidStringRequired

    The cluster UUID.

Body Fields

  • l2ProviderTypeString

    Optional. The type of L2 network provider.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryL2NetworkInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • zoneUuidStringRequired

      The zone UUID.

    • physicalInterfaceStringRequired

      No description provided.

    • typeStringRequired

      类型。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedClusterUuidsListRequired

      附加集群UUID。

Endpoint

POST/zstack/v1/l2-networks/{l2NetworkUuid}/clusters/{clusterUuid}

/zstack/v1/l2-networks/{l2NetworkUuid}/clusters/{clusterUuid}

Operation ID

AttachL2NetworkToCluster

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/l2-networks/{l2NetworkUuid}/clusters/{clusterUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"l2ProviderType":"<l2ProviderType>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "vlan": 10, "name": "Test-Net", "description": "Test", "zoneUuid": "95ab67ece21e3ce39896b9b391a21a94", "physicalInterface": "eth0", "type": "L2VlanNetwork" } }}

Change History

This API has no change history records yet.

View all change history